/*
 * AutomatonBase.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "AutomatonBase.h"

namespace automaton {

AutomatonBase::~AutomatonBase() {

}

bool AutomatonBase::operator!=(const AutomatonBase& other) const {
	return !(*this == other);
}

bool AutomatonBase::operator==(const UnknownAutomaton&) const {
	return false;
}

bool AutomatonBase::operator==(const DFA&) const {
	return false;
}

bool AutomatonBase::operator==(const NFA&) const {
	return false;
}

bool AutomatonBase::operator==(const EpsilonNFA&) const{
	return false;
}

bool AutomatonBase::operator==(const CompactNFA&) const{
	return false;
}

bool AutomatonBase::operator==(const ExtendedNFA&) const {
	return false;
}

bool AutomatonBase::operator==(const PDA&) const {
	return false;
}

bool AutomatonBase::operator==(const OneTapeDTM&) const {
	return false;
}

bool AutomatonBase::operator==(const AutomatonBase&) const {
	return false;
}

std::ostream& operator<<(std::ostream& os, const AutomatonBase& automaton) {
	automaton >> os;
	return os;
}

} /* namespace automaton */

